#include "shared_commands.hpp"
#include "command_registry.hpp"

#include "servers.hpp"
#include "services.hpp"

#include "utils/assert.hpp"

namespace dropshell {

void std_autocomplete(const CommandContext &ctx)
{
    if (ctx.args.size() == 0) { // just the command, no args yet.
        // list servers
        std::vector<ServerInfo> servers = get_configured_servers();
        for (const auto& server : servers) {
            std::cout << server.name << std::endl;
        }
    }    
    else if (ctx.args.size() == 1) {
        // list services
        std::vector<LocalServiceInfo> services = get_server_services_info(ctx.args[0]);
        for (const auto& service : services) {
            std::cout << service.service_name << std::endl;
        }
    }
}

void std_autocomplete_allowallservices(const CommandContext &ctx)
{
    std_autocomplete(ctx);
    if (ctx.args.size() == 1) 
        std::cout << "*" << std::endl;
}

} // namespace dropshell